#
# spec file for package PyQt (Version 2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft python python-devel qt qt-devel qt-extensions sip xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python python-devel qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sip strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --nosuseupdate -b "sip python python-devel" --qt
Name:         PyQt
%define python_site    %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages/')"`)
Copyright:    GPL
Group:        Development/Languages/Python
Summary:      Python bindings for the Qt C++ class library
Version:      2.5
Release:      66
Source0:      PyQt-2.5.tar.bz2

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer and a debugger.

Authors:
--------
    Phil Thompson <phil@river-bank.demon.co.uk>

SuSE series: k2de

%prep
%setup -n PyQt-2.5

%build
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/usr/ \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc NEWS INSTALL.win32 README THANKS COPYING 
%dir /%{python_site}/eric
/usr/bin/eric
/usr/bin/pyuic
/%{python_site}/eric/AsyncIO.py
/%{python_site}/eric/Config.py
/%{python_site}/eric/DebugClient.py
/%{python_site}/eric/DebugProtocol.py
/%{python_site}/eric/DebugServer.py
/%{python_site}/eric/Explorer.py
/%{python_site}/eric/Icons.py
/%{python_site}/eric/Info.py
/%{python_site}/eric/Scanner.py
/%{python_site}/eric/Shell.py
/%{python_site}/eric/SourceViewer.py
/%{python_site}/eric/UserInterface.py
/%{python_site}/eric/eric.py
/%{python_site}/libqtcmodule-2.5.so
/%{python_site}/libqtcmodule.la
/%{python_site}/libqtcmodule.so
/%{python_site}/libqtglcmodule-2.5.so
/%{python_site}/libqtglcmodule.la
/%{python_site}/libqtglcmodule.so
/%{python_site}/qt.py
/%{python_site}/qt.pyo
/%{python_site}/qtgl.py
/%{python_site}/qtgl.pyo

%changelog -n PyQt
* Sun Aug 26 2001 - adrian@suse.de
- update to 2.5
* Wed Aug 08 2001 - ro@suse.de
- use macro for python site dir
* Sun Apr 22 2001 - adrian@suse.de
- New version 2.4 (works with qt 2.3.0 and python 2.1)
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Thu Dec 07 2000 - adrian@suse.de
- fixed %%install
* Mon Dec 04 2000 - adrian@suse.de
- inital package
